Get built audience
curl --request GET \
--url https://api.extole.io/v1/audiences/{audience_id}/built \
--header 'Authorization: <api-key>'import requests
url = "https://api.extole.io/v1/audiences/{audience_id}/built"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.extole.io/v1/audiences/{audience_id}/built', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"component_ids": [
"<string>"
],
"component_references": [
{
"component_id": "<string>",
"socket_names": [
"<string>"
]
}
],
"enabled": true,
"id": "<string>",
"name": "<string>",
"tags": [
"<string>"
]
}
Audiences
Get built audience
Returns the rendered (built) snapshot for the supplied audience_id. The snapshot has the same shape as GET /v1/audiences/{audience_id}/built items in the list response and is what the runtime evaluates against during targeting.
GET
https://api.extole.io
/
v1
/
audiences
/
{audience_id}
/
built
Get built audience
Authorizations
HEADERQUERYCOOKIE
Path Parameters
Response
Built audience snapshot.
audience after buildtime evaluation. Fields name and enabled are already evaluated.
Show child attributes
Show child attributes
Resolved enabled flag for the audience. true means the runtime evaluates the audience; false means it is currently inert.
Stable Extole identifier for the audience.
Resolved display name for the audience.
Free-form tags applied to the audience.
